xine-lib: metronom_clock_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
metronom_clock_s Struct Reference

`#include <metronom.h>`

## Data Fields
void(* | set_option )(metronom_clock_t *self, int option, int64_t value)
int64_t(* | get_option )(metronom_clock_t *self, int option)
void * | dummy1
void * | dummy2
void * | dummy3
int64_t(* | get_current_time )(metronom_clock_t *self)
void(* | adjust_clock )(metronom_clock_t *self, int64_t desired_pts)
void * | dummy4
int(* | register_scr )(metronom_clock_t *self, scr_plugin_t *scr)
void(* | unregister_scr )(metronom_clock_t *self, scr_plugin_t *scr)
void * | dummy5
void * | dummy6
void * | dummy7
void * | dummy8
pthread_t | dummy9
int | dummy10
int | dummy11
int | speed
void(* | register_speed_change_callback )(metronom_clock_t *self, xine_speed_change_cb_t *callback, void *user_data)
void(* | unregister_speed_change_callback )(metronom_clock_t *self, xine_speed_change_cb_t *callback, void *user_data)

## Field Documentation

## ◆ adjust_clock

void(* metronom_clock_s::adjust_clock) (metronom_clock_t *self, int64_t desired_pts)

Referenced by _x_metronom_clock_init().

## ◆ dummy1

void* metronom_clock_s::dummy1

## ◆ dummy10

int metronom_clock_s::dummy10

## ◆ dummy11

int metronom_clock_s::dummy11

## ◆ dummy2

void* metronom_clock_s::dummy2

## ◆ dummy3

void* metronom_clock_s::dummy3

## ◆ dummy4

void* metronom_clock_s::dummy4

## ◆ dummy5

void* metronom_clock_s::dummy5

## ◆ dummy6

void* metronom_clock_s::dummy6

## ◆ dummy7

void* metronom_clock_s::dummy7

## ◆ dummy8

void* metronom_clock_s::dummy8

## ◆ dummy9

pthread_t metronom_clock_s::dummy9

## ◆ get_current_time

int64_t(* metronom_clock_s::get_current_time) (metronom_clock_t *self)

Referenced by _x_metronom_clock_init(), _x_spu_decoder_sleep(), dxr3_decode_data(), dxr3_spudec_update_nav(), dxr3_update_frame_format(), spudec_update_nav(), stretch_port_open(), and xine_get_current_vpts().

## ◆ get_option

int64_t(* metronom_clock_s::get_option) (metronom_clock_t *self, int option)

Referenced by _x_metronom_clock_init().

## ◆ register_scr

int(* metronom_clock_s::register_scr) (metronom_clock_t *self, scr_plugin_t *scr)

Referenced by _x_metronom_clock_init(), dxr3_decode_data(), dxr3_update_frame_format(), and stretch_port_open().

## ◆ register_speed_change_callback

void(* metronom_clock_s::register_speed_change_callback) (metronom_clock_t *self, xine_speed_change_cb_t *callback, void *user_data)

Referenced by _x_ao_new_port(), and _x_metronom_clock_init().

## ◆ set_option

void(* metronom_clock_s::set_option) (metronom_clock_t *self, int option, int64_t value)

Referenced by _x_metronom_clock_init().

## ◆ speed

int metronom_clock_s::speed

Referenced by _x_ao_new_port(), _x_get_fine_speed(), lock_run(), metronom_set_speed(), metronom_start_clock(), and set_speed_internal().

## ◆ unregister_scr

void(* metronom_clock_s::unregister_scr) (metronom_clock_t *self, scr_plugin_t *scr)

Referenced by _x_metronom_clock_init(), dxr3_dispose(), dxr3_update_frame_format(), and stretch_port_close().

## ◆ unregister_speed_change_callback

void(* metronom_clock_s::unregister_speed_change_callback) (metronom_clock_t *self, xine_speed_change_cb_t *callback, void *user_data)

Referenced by _x_metronom_clock_init().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/metronom.h